Bantuan » Komunitas WordPress Indonesia » Komunitas Pengguna » set_magic_quotes_runtime() php >5.3 problem

  • kemarin habis install appserv versi 2.6.0 untuk php 6 krna appserve sebelumnya ga support ke beberapa cms ecommerce.

    nah, pas di ganti appserv nya. wordpress ga da bisa dibuka muncul error

    Fatal error: Call to undefined function set_magic_quotes_runtime() in C:\AppServ\www\wordpress\wp-settings.php on line 27

    setelah di periksa terrnyata php > 5.3 ga support set_magic_quotes_runtime alias fungsi tersebut udah dihapus di php 5.3

    terus gimana? ada saran?

Melihat 5 balasan - 1 sampai 5 (dari total 5)
  • Dan wordpress Anda versi … ?

    Pencetus Utas onewebstudio

    (@onewebstudio)

    wordpress versi 3.0.4

    Kayaknya ada baiknya Anda coba tanya di support forum bahasa Inggris… karena di ver 3.1.1 juga masih ada line tsb.

    Di PHP 5.3, fungsi set_magic_quotes_runtime deprecated. Artinya kalaupun fungsi itu dipanggil, yang muncul bukan “Call to undefined function” tapi “function blahblahblah is deprecated”. di PHP 5.3 setting default nya juga sudah off.

    Masalahnya, versi php yang dipakai @onewebstudio udah php 6. magic quotes udah bener-bener hilang. Support untuk development WordPress kayaknya belum samapai php 6 juga.
    Kalau mau dibenerin, bisa di comment aja baris set_magic_quotes_runtime di wp-settings.php
    // set_magic_quotes_runtime( 0 );

    Pencetus Utas onewebstudio

    (@onewebstudio)

    @pengki
    iya bro, solusinya ini aku install ulang appserv nya 😀

    harian tu aku delete, tpi mank gak cuma 1 fungsi itu aja yg ilang. beberapa yg lain juga. jdi banyak yg mesti di delete coment.

Melihat 5 balasan - 1 sampai 5 (dari total 5)
  • Topik ‘set_magic_quotes_runtime() php >5.3 problem’ tertutup untuk balasan baru.